<template>
  <div :class="className" :style="{height:height,width:width}" />
</template>

<script>
import echarts from 'echarts'
require('echarts/theme/macarons') // echarts theme
import resize from '../mixins/resize'
import {trainCount} from "@/api/common/homedataCbpb";

export default {
  mixins: [resize],
  props: {
    className: {
      type: String,
      default: 'chart'
    },
    width: {
      type: String,
      default: '100%'
    },
    height: {
      type: String,
      default: '210px'
    }
  },
  data() {
    return {
      chart: null,
      trainData:[],
      trainingType:[]
    }
  },
  mounted() {
    this.$nextTick(() => {
      trainCount().then(res=>{
        for (const item of res.data) {
          this.trainData.push({value:item.trainingTypeCount,name:item.trainingType});
          this.trainingType.push(item.trainingType)
        }
        this.initChart()
      })
    })
  },
  beforeDestroy() {
    if (!this.chart) {
      return
    }
    this.chart.dispose()
    this.chart = null
  },
  methods: {
    initChart() {
      this.chart = echarts.init(this.$el, 'macarons')

      this.chart.setOption({
        tooltip: {
          trigger: 'item',
          formatter: '{a} <br/>{b} : {c} ({d}%)'
        },
        color: [
          '#87CA8B',
          '#FBD44A'
        ],
        legend: {
          orient: 'vertical',
          left: 'left',
          itemWidth: 10,
          itemHeight: 10,
          textStyle: {
            fontSize: 12,
            padding:[0,0]
          },
          selectedMode: true,
          data:['已完成','未完成']
        },
        series: [
          {
            name: '',
            type: 'pie',
            selectedMode: 'single',
            label: {
              position: 'outside',
              fontSize: 10,
            },
            animationEasing: 'cubicInOut',
            animationDuration: 1300,
            labelLine: {
              show: true
            },
            data: [{name: '已完成',value: 1} , {name: '未完成',value: 6}],
          }
        ],

      })
    }
  }
}
</script>
